<!--<template>
    <div id="myapp">
        <div id="nav">
            <div v-if="!authenticated">
                <router-link to="/signin">Inicio de Sesion | </router-link>
                <router-link to="/signup">Registro | </router-link>
            </div>
            <div v-else>
                <router-link to="/">Principal| </router-link>
                <router-link to="/profile"><b>{{user.name}}</b> | </router-link>
                <a href="#" @click.prevent="logout">Cerrar Session</a>
            </div>
        </div>
        <router-view/>
    </div>
</template>-->

<template>
    <div>
        <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
            <div class="container">
                <a class="navbar-brand js-scroll-trigger" href="#page-top">Start Bootstrap</a>
                <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                    Menu
                    <i class="fas fa-bars"></i>
                </button>
                <div class="collapse navbar-collapse" id="navbarResponsive">
                    <ul class="navbar-nav ml-auto" v-if="!authenticated">
                        <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#about">About</a></li>
                        <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#projects">Projects</a></li>
                        <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#signup">Contact</a></li>
                        <li class="nav-item">
                            <router-link to="/signin" class="nav-link js-scroll-trigger">Inicio de Sesion </router-link>
                        </li>
                        <li class="nav-item">
                            <router-link to="/signup" class="nav-link js-scroll-trigger">Registro</router-link>
                        </li>
                    </ul>
                    <ul class="navbar-nav ml-auto" v-else>
                        <li class="nav-item">
                            <router-link to="/" class="nav-link js-scroll-trigger">Principal</router-link>
                        </li>
                        <li class="nav-item">
                             <router-link to="/profile"  class="nav-link js-scroll-trigger"><b>{{user.name}}</b></router-link>
                        </li>
                        <li class="nav-item">
                            <a href="#" @click.prevent="logout">Cerrar Session</a>
                        </li>                      
                        
                    </ul>
                </div>
            </div>
        </nav>
        <div>
            <router-view/>
        </div>
        <!-- Footer-->
        <footer class="footer bg-black small text-center text-white-50"><div class="container">Copyright © Your Website 2020</div></footer>
    </div>
</template>

<style scoped>
    @import url('../css/styleMain'); 
</style>
<script>
    import {mapGetters ,mapActions} from 'vuex'
    export default {
        name:'Main',
        computed:{
            ...mapGetters({
                authenticated:'auth/authenticated',
                user:'auth/user',
            })
        },
        methods:{
            ...mapActions({
                signOut:'auth/signOut',
            }),
            async logout(){
                await this.signOut()
                this.$router.replace({name:'home'})
            }
        }
    }   
</script>



